View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000067Ecere SDKidepublic2008-05-05 17:442014-05-19 01:32
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.09 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000067: Wrong watch error message for invalid expression
DescriptionA watch on:

(Expression)exp.index.index->last).expType

Reports: Member "expType" not found in no type? (Should never get this message)

It should report "invalid expression".

Additional Information(Expression)exp.index.exp.index->last).expType
(Expression)exp.index.exp.index->last)
(exp

These all give different messages, the last one gives the correct message (Invalid expression: "(exp" )

Also, (Expression)exp.index->last gives an incorrect 'can't be read at 0x0'
TagsNo tags attached.
Attached Files

- Relationships
related to 0000535closedjerome Implement a fall-back for failing watch evaluations 
related to 0000128closedjerome The ` and ~ characters in the Watches window 

-  Notes
(0001249)
jerome (administrator)
2014-05-02 19:51

Fixed by:
https://github.com/ecere/ecere-sdk/commit/1112656a5cb76f2b9ef4aa0b3833f3597b92fcca [^]

- Issue History
Date Modified Username Field Change
2008-05-05 17:44 jerome New Issue
2008-05-08 06:02 jerome Status new => assigned
2008-05-08 06:02 jerome Assigned To => redj
2008-05-08 06:05 jerome Priority normal => high
2010-07-29 15:37 jerome Relationship added child of 0000431
2010-08-07 18:09 jerome Status assigned => new
2010-08-07 18:10 jerome Assigned To redj =>
2010-08-08 17:18 jerome Relationship added related to 0000535
2012-03-08 16:52 redj Target Version => 0.45 Ginkakuji
2012-03-08 21:21 redj Relationship deleted child of 0000431
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-04-25 20:20 jerome Target Version 0.45 Ginkakuji => 0.44.5 Debug
2014-05-01 02:35 jerome Assigned To => jerome
2014-05-01 02:35 jerome Priority high => immediate
2014-05-01 02:35 jerome Status new => assigned
2014-05-01 02:35 jerome Target Version 0.44.70 Debug => 0.44.10 64
2014-05-01 02:35 jerome Additional Information Updated
2014-05-01 02:35 jerome Product Version => 0.44.09
2014-05-01 02:50 jerome Relationship added related to 0000128
2014-05-02 19:51 jerome Status assigned => resolved
2014-05-02 19:51 jerome Fixed in Version => 0.44.10 64
2014-05-02 19:51 jerome Resolution open => fixed
2014-05-02 19:51 jerome Note Added: 0001249
2014-05-19 01:32 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker